;-----------------------------------------------------------------------------
;Filename :BIE_EXTVPP.asm
;-----------------------------------------------------------------------------
; Copyright 2021 Hycon Technology, Corp.
; http://www.hycontek.com/
;
;V1.0		2021/10/12
;
; Program Description:
;--------------------
; q0000Hm}lgJ 11AAH 22BBH 33CCH 44DDH
; q1C00Hm}lgJ AA11H BB22H CC33H DD44H
; A̧ŪXm
; IsLV17P60WR3BIE |e0F0H~0FAHm
; vTHs:
; WREG, FSR0L, FSR0H, INDF0, INTE0[GIE], 0F0h~0FAh ,INTE0[GIE] ,ADCCN0[ENAD1],PWRCN,PWRCN2,
; OSCCN0, MFCCN0~MFCCN2, LCDCN1
; Stack Level: 2

; HY17P60B BIEӰ϶AzLȦsBLKSEL
;BLKSEL=0,BIEާ@bInformation϶(00H~3FH)@64 word
;BLKSEL=1,BIEާ@bMain϶(1C00H~1FFFH)@1K word
;-----------------------------------------------------------------------------

;----------------------------------------------------------------------------
; Includes
;----------------------------------------------------------------------------
  Include  ./INC/HY17P60B.inc
  Include  ./INC/HY17P60B_BitRegister.inc
  Include  main.inc
  
;----------------------------------------------------------------------------
; Definitions
;----------------------------------------------------------------------------
DEFINE  LED=0  ;0:LCD Mode
;-----------------------------------------------------------------------------
; Reset And Interrupt Vector Table
;-----------------------------------------------------------------------------
  ORG  0000H ;Reset Vector
  JMP  ProBegin

  ORG  0004H ;Interrupt Vector
  JMP  ISR_CHECK

;-----------------------------------------------------------------------------
; Start Program Code
;-----------------------------------------------------------------------------
ProBegin:
  CALL ClearMEM
  CALL ClearMEM100
  CALL ClearMEM200
  CALL SysInit
;-----------------------------------------------------------------------------
  CALL DISPLAY_HYCON
  MVL  60
  MVF  Delay2,F,ACCE
  CALL Delay10ms
;==============BLKSEL=0,64WORD======================11AA 22BB 33CC 44DD
  BCF   BIECN,BLKSEL 
  CLRF  BIEARH   ;
  CLRF  BIEARL   ;]wNJ_lm0000H
  
  BCF   BIECN,BLKSEL  
  MVL   11H
  MVF   BIEDRH,F,A
  MVL   0AAH
  MVF	BIEDRL,F,A
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail


  MVL   22H
  MVF   BIEDRH,F,A
  MVL   0BBH
  MVF   BIEDRL,F,A
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail


  MVL   33H
  MVF   BIEDRH,F,A
  MVL   0CCH
  MVF   BIEDRL,F,A  
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail
  

  MVL   44H
  MVF   BIEDRH,F,A
  MVL   0DDH
  MVF   BIEDRL,F,A
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail
  
;==============BLKSEL=1,1kWORD======================AA11 BB22 CC33 DD44
  BSF   BIECN,BLKSEL
  MVL   01CH
  MVF   BIEARH,F,A
  MVL   00H
  MVF   BIEARL,F,A  ;]wNJ_lm1C00H
  
  MVL   0AAH
  MVF   BIEDRH,F,A
  MVL   11H
  MVF	BIEDRL,F,A
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL   0BBH
  MVF   BIEDRH,F,A
  MVL   22H
  MVF   BIEDRL,F,A
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL   0CCH
  MVF   BIEDRH,F,A
  MVL   33H
  MVF   BIEDRL,F,A  
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail
  
  MVL   0DDH
  MVF   BIEDRH,F,A
  MVL   44H
  MVF   BIEDRL,F,A
  call  EXT17P60BWR3BIE   ;NJAm۰ʥ[1
  nopf  EXT17P60BWR3BIE
  BTSZ	WREG,0,A
  JMP	Fail
  

VPPDown:
  BTSZ BIECN,VPPHV,A	;CHECK VPP Flag=0, BIE Finish
  JMP	VPPDown
  
  MVL  30                              ;Delay 300ms
  MVF  Delay2,F,ACCE
  CALL Delay10ms
;-----------------------------------------------------------------------------
MainLoop:
    CALL LCDInit
    CALL DISPLAY_HYCON
    MVL  60
    MVF  Delay2,F,ACCE
    CALL Delay10ms
    CALL DIS_PASS
    MVL  60
    MVF  Delay2,F,ACCE
    CALL Delay10ms
	NOP
	NOP
	JMP   MainLoop	


Fail:
    CALL LCDInit
    CALL DIS_FAIL
    MVL  60
    MVF  Delay2,F,ACCE
    CALL Delay10ms
	NOP
	NOP	
	JMP		Fail



;-----------------------------------------------------------------------------
; Inital the System
;-----------------------------------------------------------------------------
SysInit:

 ;==========Setup BIE =======================================
  BCF  AD1CN0,ENAD1,A
  BCF  INTE0,GIE,A
  ;BIE LݯSO]w]w|b IsƵ{ǤCȥGIEBADC\
  
LCDInit:
  LBSR 1
  MVL  EN_LCP+LCDV_3p0V+EN_LB+EN_LCD
  MVF  LCDCN1,F,B
  MVL  SCM3_LCD+SCM2_LCD+SCM1_LCD+SCM0_LCD
  MVF  LCDCN3,F,B
  MVL  0FFH
  MVF  LCDCN4,F,B
  MVL  0FFH
  MVF  LCDCN6,F,B
  MVL  0FFH
  MVF  LCDCN7,F,B
  MVL  0FFH
  MVF  LCDCN8,F,B 
  
RET 

;-----------------------------------------------------------------------------
;Interrupt Service Routine
;-----------------------------------------------------------------------------
ISR_CHECK:
  RETI 


  Include  ./SRC/Subroutine.asm
  Include  ./SRC/Display.asm
  include   17P60BWR3.obj
  ;jPĳݭninclude.objɮ׳b {檺̫
;-----------------------------------------------------------------------------
; End Of File
;-----------------------------------------------------------------------------


  END
