;Sepcial Register

;;--------------------------
;; CPU core used
;;--------------------------
INDF0    EQU  000H
POINC0   EQU  001H
PODEC0   EQU  002H
PRINC0   EQU  003H
PLUSW0   EQU  004H
INDF1    EQU  005H
POINC1   EQU  006H
PODEC1   EQU  007H
PRINC1   EQU  008H
PLUSW1   EQU  009H
INDF2    EQU  00AH
POINC2   EQU  00BH
PODEC2   EQU  00CH
PRINC2   EQU  00DH
PLUSW2   EQU  00EH
FSR0H    EQU  00FH
FSR0L    EQU  010H
FSR1H    EQU  011H
FSR1L    EQU  012H
FSR2H    EQU  013H
FSR2L    EQU  014H
TOSH     EQU  016H
TOSL     EQU  017H
SKCN     EQU  018H
  SKFL    EQU  7
  SKUN    EQU  6
  SKOV    EQU  5
  SKPRT4  EQU  4
  SKPRT3  EQU  3
  SKPRT2  EQU  2
  SKPRT1  EQU  1
  SKPRT0  EQU  0
PCLATH   EQU  01AH
PCLATL   EQU  01BH

;;--------------------------
;; Table read
;;--------------------------
TBLPTRH  EQU  01DH
TBLPTRL  EQU  01EH
TBLDH    EQU  01FH
TBLDL    EQU  020H

;;--------------------------
;; Hardware multiplier
;;--------------------------
PRODH    EQU  021H
PRODL    EQU  022H

;;--------------------------
;; interrupt
;;--------------------------
INTE0    EQU  023H
  GIE     EQU  7
  TA1CIE  EQU  6
  ADIE    EQU  5
  WDTIE   EQU  4
  TB1IE   EQU  3
  CTIE    EQU  2
  E1IE    EQU  1
  E0IE    EQU  0
INTE1    EQU  024H
  TA1IE   EQU  7
  TXIE    EQU  5
  RCIE    EQU  4
  I2CERIE EQU  3
  I2CIE   EQU  2
  E3IE    EQU  1
  E2IE    EQU  0
INTE2    EQU  025H
  MFCIE   EQU  7
  CTBOVE  EQU  3
  RMSIE   EQU  2
  LPFIE   EQU  1
  BOR2IE  EQU  0
INTF0    EQU  026H
  TA1CIF  EQU  6
  ADIF    EQU  5
  WDTIF   EQU  4
  TB1IF   EQU  3
  CTF     EQU  2
  E1IF    EQU  1
  E0IF    EQU  0
INTF1    EQU  027H
  TA1IF   EQU  7
  TXIF    EQU  5
  RCIF    EQU  4
  I2CERIF EQU  3
  I2CIF   EQU  2
  E3IF    EQU  1
  E2IF    EQU  0
INTF2    EQU  028H
  MFCIF   EQU  7
  CTBOV   EQU  3
  RMSF    EQU  2
  LPFF    EQU  1
  BOR2IF  EQU  0

;;--------------------------
;; CPU status
;;--------------------------
WREG     EQU  029H
BSRCN    EQU  02AH
STATUS   EQU  02BH
MSTAT    EQU  02BH
  C       EQU  4
  DC      EQU  3
  N       EQU  2
  OV      EQU  1
  Z       EQU  0
PSTAT    EQU  02CH
  BOR     EQU  7
  PD      EQU  6
  TO      EQU  5
  IDL     EQU  4
  RST     EQU  3
  SKERR   EQU  2
  BOR2LV  EQU  1
  GCRstIF EQU  0

;;--------------------------
;; BIE
;;--------------------------
BIECN    EQU  02DH
  BLKSEL  EQU  6
  ENBVD   EQU  4
  VPPHV   EQU  3
  ENBCP   EQU  2
  BIEWR   EQU  1
  BIERD   EQU  0
BIEARH   EQU  02EH
  ENBIE   EQU  7
BIEARL   EQU  02FH
BIEDRH   EQU  030H
BIEDRL   EQU  031H

;;--------------------------
;; Power controller
;;--------------------------
PWRCN    EQU  032H
  ENBGR   EQU  7
  LDOC2   EQU  6
  LDOC1   EQU  5
  LDOC0   EQU  4
  LDOM1   EQU  3
  LDOM0   EQU  2
  ENLDO   EQU  1
  CSFON   EQU  0
PWRCN1   EQU  033H
  ENREFO  EQU  7
  ENCMP   EQU  6
  ENCNTI  EQU  5
  ENCTR   EQU  4
  ENVS    EQU  3
  SAGND2  EQU  2
  SAGND1  EQU  1
  SAGND0  EQU  0
PWRCN2   EQU  034H
  ENFIR   EQU  3
  LDOPL   EQU  2
  ENTPS   EQU  1

;;--------------------------
;; Oscillator
;;--------------------------
OSCCN0   EQU  035H
  OSCS1   EQU  7
  OSCS0   EQU  6
  DHS1    EQU  5
  DHS0    EQU  4
  DMS2    EQU  3
  DMS1    EQU  2
  DMS0    EQU  1
  CUPS    EQU  0
OSCCN1   EQU  036H
  CCOPT   EQU  7
  LCPS    EQU  6
  DADC1   EQU  5
  DADC0   EQU  4
  DTMB1   EQU  3
  DTMB0   EQU  2
  TMBS    EQU  1
  LCDS    EQU  0
OSCCN2   EQU  037H
  DLCD1   EQU  7
  DLCD0   EQU  6
  ENXT    EQU  5
  XTS1    EQU  4
  XTS0    EQU  3
  HAOM1   EQU  2
  HAOM0   EQU  1
  ENHAO   EQU  0

;;--------------------------
;; CSF control
;;--------------------------
CSFCN0   EQU  038H
  SKRST   EQU  7
CSFCN1   EQU  039H
  BORTH2  EQU  4
  BORTH1  EQU  3
  BORTH0  EQU  2
  BORS    EQU  1
  ENBOR2  EQU  0

;;--------------------------
;; Watch dog
;;--------------------------
WDTCN    EQU  03AH
  ENBZ    EQU  7
  BZS     EQU  6
  DBZ1    EQU  5
  DBZ0    EQU  4
  ENWDT   EQU  3
  DWDT2   EQU  2
  DWDT1   EQU  1
  DWDT0   EQU  0

;;--------------------------
;; ADC
;;--------------------------
AD1CN0   EQU  03BH
  ENAD1   EQU  7
  ENCH    EQU  6
  ENINXCH EQU  5
  VREGN   EQU  4
  OSR2    EQU  3
  OSR1    EQU  2
  OSR0    EQU  1
  CMFR    EQU  0
AD1CN1   EQU  03CH
  ENACM   EQU  7
  VCMS    EQU  6
  VCINS   EQU  5
  TPSCP   EQU  4
  TPSCH   EQU  3
  ADGN2   EQU  2
  ADGN1   EQU  1
  ADGN0   EQU  0
AD1CN2   EQU  03DH
  FilterN1 EQU 7
  FilterN0 EQU 6
  DAFM    EQU  4
  DCSET3  EQU  3
  DCSET2  EQU  2
  DCSET1  EQU  1
  DCSET0  EQU  0
AD1CN3   EQU  03EH
  SAD1FP3 EQU  7
  SAD1FP2 EQU  6
  SAD1FP1 EQU  5
  SAD1FP0 EQU  4
  SAD1FN2 EQU  2
  SAD1FN1 EQU  1
  SAD1FN0 EQU  0
AD1CN4   EQU  03FH
  AD1RHBUF EQU 7
  AD1RLBUF EQU 6
  AD1IPBUF EQU 5
  AD1INBUF EQU 4
  INX1    EQU  3
  INX0    EQU  2
  VRIS    EQU  1
  INIS    EQU  0
AD1CN5   EQU  040H
  SAD1RH2 EQU  7
  SAD1RH1 EQU  6
  SAD1RH0 EQU  5
  SAD1RL2 EQU  4
  SAD1RL1 EQU  3
  SAD1RL0 EQU  2
  SAD1I1  EQU  1
  SAD1I0  EQU  0

;;--------------------------
;; DSP
;;--------------------------
RMSCN    EQU  041H
  ENRMS   EQU  7
  ENLPF   EQU  6
  ENSQRE  EQU  5
  LPFBW1  EQU  4
  LPFBW0  EQU  3
  RSLPF   EQU  1
  RSRMS   EQU  0

;;--------------------------
;; Network
;;--------------------------
NET0     EQU  042H
  SDIO    EQU  7
  SREFO   EQU  6
  SFT11   EQU  5
  SFT10   EQU  4
NET3     EQU  045H
  SCMPO   EQU  4
  CNTI_IF EQU  0

;;--------------------------
;; ADC comb
;;--------------------------
CTAU     EQU  04CH
CTAH     EQU  04DH
CTAL     EQU  04EH
CTBU     EQU  04FH
CTBH     EQU  050H
CTBL     EQU  051H
CTCU     EQU  052H
CTCH     EQU  053H
CTCL     EQU  054H
RMSDATA4 EQU  05BH
RMSDATA3 EQU  05CH
RMSDATA2 EQU  05DH
RMSDATA1 EQU  05EH
RMSDATA0 EQU  05FH
LPFDATAU EQU  060H
LPFDATAH EQU  061H
LPFDATAL EQU  062H

;;--------------------------
;; ADC comb
;;--------------------------
AD1DATAU EQU  063H
AD1DATAH EQU  064H
AD1DATAL EQU  065H

;;--------------------------
;; OPA
;;--------------------------
OP1CN0   EQU  066H
  ENOP1   EQU  7
  SOP1P2  EQU  6
  SOP1P1  EQU  5
  SOP1P0  EQU  4
  OP1CHOP1 EQU 3
  OP1CHOP0 EQU 2
  OPS1    EQU  0

;;--------------------------
;; Timer A1
;;--------------------------
TMA1CN   EQU  068H
  ENTMA1  EQU  7
  TMACL1  EQU  6
  TMAS1   EQU  5
  DTMA12  EQU  4
  DTMA11  EQU  3
  DTMA10  EQU  2
TMA1R    EQU  069H
TMA1C    EQU  06AH

;;--------------------------
;; PT1
;;--------------------------
PT1      EQU  06BH
  PT17    EQU  7
  PT16    EQU  6
  PT15    EQU  5
  PT14    EQU  4
  PT13    EQU  3
  PT12    EQU  2
  PT110   EQU  1
  PT100   EQU  0
PT1IN    EQU  06CH
  IN17    EQU  7
  IN16    EQU  6
  IN15    EQU  5
  IN14    EQU  4
  IN13    EQU  3
  IN12    EQU  2
  IN11    EQU  1
  IN10    EQU  0
TRISC1   EQU  06DH
  TC17    EQU  7
  TC16    EQU  6
  TC15    EQU  5
  TC14    EQU  4
  TC13    EQU  3
  TC12    EQU  2
  TC11    EQU  1
  TC10    EQU  0
PT1PU    EQU  06EH
  PU17    EQU  7
  PU16    EQU  6
  PU15    EQU  5
  PU14    EQU  4
  PU13    EQU  3
  PU12    EQU  2
  PU11    EQU  1
  PU10    EQU  0
PT1M1    EQU  06FH
  E1EG1   EQU  3
  E1EG0   EQU  2
  E0EG1   EQU  1
  E0EG0   EQU  0
PT1INT   EQU  070H
  INTEG7  EQU  7
  INTEG6  EQU  6
  INTEG5  EQU  5
  INTEG4  EQU  4
  INTEG3  EQU  3
  INTEG2  EQU  2
PT1INTE  EQU  071H
  INTE17  EQU  7
  INTE16  EQU  6
  INTE15  EQU  5
  INTE14  EQU  4
PT1INTF  EQU  072H
  INTF17  EQU  7
  INTF16  EQU  6
  INTF15  EQU  5
  INTF14  EQU  4

;;--------------------------
;; PT2
;;--------------------------
PT2      EQU  073H
  PT23    EQU  3
  PT22    EQU  2
  PT21    EQU  1
  PT20    EQU  0
PT2IN    EQU  074H
  IN23    EQU  3
  IN22    EQU  2
  IN21    EQU  1
  IN20    EQU  0
TRISC2   EQU  075H
  TC23    EQU  3
  TC22    EQU  2
  TC21    EQU  1
  TC20    EQU  0
PT2PU    EQU  076H
  PU23    EQU  3
  PU22    EQU  2
  PU21    EQU  1
  PU20    EQU  0
PT2INT   EQU  077H
  INTG23  EQU  3
  INTG22  EQU  2
  INTG21  EQU  1
  INTG20  EQU  0
PT2INTE  EQU  078H
  INTE23  EQU  3
  INTE22  EQU  2
  INTE21  EQU  1
  INTE20  EQU  0
PT2INTF  EQU  079H
  INTF23  EQU  3
  INTF22  EQU  2
  INTF21  EQU  1
  INTF20  EQU  0

;;--------------------------
;; MFC
;;--------------------------
MFCCN0   EQU  07AH
  CPRH1   EQU  7
  CPRH0   EQU  6
  MFCO    EQU  5
  CPIS    EQU  4
  CPOR    EQU  3
  CPDF    EQU  2
  CMPHS   EQU  1
  ENMFC   EQU  0
MFCCN1   EQU  07BH
  CPRL2   EQU  7
  CPRL1   EQU  6
  CPRL0   EQU  5
  CPPS1   EQU  3
  CPPS0   EQU  2
  CPNS1   EQU  1
  CPNS0   EQU  0
MFCCN2   EQU  07CH
  CPDA4   EQU  4
  CPDA3   EQU  3
  CPDA2   EQU  2
  CPDA1   EQU  1
  CPDA0   EQU  0
MFCCN3   EQU  07DH
  CPDM4   EQU  4
  CPDM3   EQU  3
  CPDM2   EQU  2
  CPDM1   EQU  1
  CPDM0   EQU  0

;;--------------------------
;;---- LCD controller
;;--------------------------
LCDCN1   EQU  180H
  ENLCP   EQU  7
  LCDV2   EQU  6
  LCDV1   EQU  5
  LCDV0   EQU  4
  ENLB    EQU  3
  SELPCLK EQU  2
  LCDBL   EQU  1
  ENLCD   EQU  0

;;--------------------------
;; LCD/LED/GPIO mode switcH
;;--------------------------
LCDCN3   EQU  182H
  SCM31   EQU  7
  SCM30   EQU  6
  SCM21   EQU  5
  SCM20   EQU  4
  SCM11   EQU  3
  SCM10   EQU  2
  SCM01   EQU  1
  SCM00   EQU  0
LCDCN4   EQU  183H
  SSG21   EQU  7
  SSG20   EQU  6
  SSG19   EQU  5
  SSG18   EQU  4
  SSG17   EQU  3
  SSG16   EQU  2
  SSG15   EQU  1
  SSG14   EQU  0
LCDCN6   EQU  185H
  SSG51   EQU  7
  SSG50   EQU  6
  SSG41   EQU  5
  SSG40   EQU  4
  SSG31   EQU  3
  SSG30   EQU  2
  SSG021  EQU  1
  SSG020  EQU  0
LCDCN7   EQU  186H
  SSG91   EQU  7
  SSG90   EQU  6
  SSG81   EQU  5
  SSG80   EQU  4
  SSG71   EQU  3
  SSG70   EQU  2
  SSG61   EQU  1
  SSG60   EQU  0
LCDCN8   EQU  187H
  SSG131  EQU  7
  SSG130  EQU  6
  SSG121  EQU  5
  SSG120  EQU  4
  SSG111  EQU  3
  SSG110  EQU  2
  SSG101  EQU  1
  SSG100  EQU  0

;;--------------------------
;; LCD/LED display
;;--------------------------
LCD0     EQU  18BH
LCD1     EQU  18CH
LCD2     EQU  18DH
LCD3     EQU  18EH
LCD4     EQU  18FH
LCD5     EQU  190H
LCD6     EQU  191H
LCD7     EQU  192H
LCD8     EQU  193H
LCD9     EQU  194H

;;--------------------------
;; PT3
;;--------------------------
PT3      EQU  19FH
  PT36    EQU  6
  PT35    EQU  5
PT3IN    EQU  1A0H
  IN36    EQU  6
  IN35    EQU  5
TRISC3   EQU  1A1H
  TC36    EQU  6
  TC35    EQU  5
PT3PU    EQU  1A2H
  PU36    EQU  6
  PU35    EQU  5

;;--------------------------
;; PT6  ;;following added for P60B
;;--------------------------
PT6      EQU  1A8H
  PT63    EQU  3
  PT62    EQU  2  
  PT61    EQU  1
  PT60    EQU  0
PT6IN    EQU  1A9H
  IN63    EQU  3
  IN62    EQU  2  
  IN61    EQU  1
  IN60    EQU  0
TRISC6   EQU  1AAH
  TC63    EQU  3
  TC62    EQU  2  
  TC61    EQU  1
  TC60    EQU  0
PT6PU    EQU  1ABH
  PU63    EQU  3
  PU62    EQU  2  
  PU61    EQU  1
  PU60    EQU  0

;;--------------------------
;; PT8
;;--------------------------
PT8      EQU  1B0H
  PT87    EQU  7
  PT86    EQU  6
  PT85    EQU  5
  PT84    EQU  4
  PT83    EQU  3
  PT82    EQU  2
  PT81    EQU  1
  PT80    EQU  0
PT8IN    EQU  1B1H
  IN87    EQU  7
  IN86    EQU  6
  IN85    EQU  5
  IN84    EQU  4
  IN83    EQU  3
  IN82    EQU  2
  IN81    EQU  1
  IN80    EQU  0
TRISC8   EQU  1B2H
  TC87    EQU  7
  TC86    EQU  6
  TC85    EQU  5
  TC84    EQU  4
  TC83    EQU  3
  TC82    EQU  2
  TC81    EQU  1
  TC80    EQU  0
PT8PU    EQU  1B3H
  PU87    EQU  7
  PU86    EQU  6
  PU85    EQU  5
  PU84    EQU  4
  PU83    EQU  3
  PU82    EQU  2
  PU81    EQU  1
  PU80    EQU  0

;;--------------------------
;; I2C 1
;;--------------------------
CFG0     EQU  1C3H
  GCRst   EQU  2
  ENI2CT  EQU  1
  ENI2C   EQU  0
ACT0     EQU  1C4H
  SLAVE   EQU  7
  I2CER   EQU  4
  START   EQU  3
  STOP    EQU  2
  I2CINT  EQU  1
  ACK     EQU  0
STA0     EQU  1C5H
  MACTF   EQU  7
  SACTF   EQU  6
  RDBF    EQU  5
  RWF     EQU  4
  DFF     EQU  3
  ACKF    EQU  2
  GCF     EQU  1
  ARBF    EQU  0
CRG0     EQU  1C6H
TOC0     EQU  1C7H
  I2CTF   EQU  7
  DI2C2   EQU  6
  DI2C1   EQU  5
  DI2C0   EQU  4
  I2CTLT3 EQU  3
  I2CTLT2 EQU  2
  I2CTLT1 EQU  1
  I2CTLT0 EQU  0
RDB0     EQU  1C8H
TDB0     EQU  1C9H
SID0     EQU  1CAH
  SID07   EQU  7
  SID06   EQU  6
  SID05   EQU  5
  SID04   EQU  4
  SID03   EQU  3
  SID02   EQU  2
  SID01   EQU  1
  SID0V   EQU  0

;;--------------------------
;; EUART 1
;;--------------------------
UR0CN    EQU  1CBH
  ENSP    EQU  7
  ENTX    EQU  6
  TX9     EQU  5
  TX9D    EQU  4
  PARITY  EQU  3
  WUE     EQU  0
UR0STA   EQU  1CCH
  RC9D    EQU  6
  PERR    EQU  5
  FERR    EQU  4
  OERR    EQU  3
  RCIDL   EQU  2
  TRMT    EQU  1
  ABDOVF  EQU  0
BA0CN    EQU  1CDH
  ENCR    EQU  3
  RC9     EQU  2
  ENADD   EQU  1
  ENABD   EQU  0
BG0RH    EQU  1CEH
BG0RL    EQU  1CFH
TX0R     EQU  1D0H
RC0REG   EQU  1D1H

;;--------------------------
;; Timer B1
;;--------------------------
TB1Flag  EQU  1D2H
  PWM7A   EQU  6
  PWM6A   EQU  5
  PWM5A   EQU  4
  PWM4A   EQU  3
  PWM3A   EQU  2
  PWM2A   EQU  1
  PWM1A   EQU  0
TB1CN0   EQU  1D3H
  ENTB1   EQU  7
  TB1M1   EQU  6
  TB1M0   EQU  5
  TB1RT1  EQU  4
  TB1RT0  EQU  3
  TB1CL   EQU  2
  PWMO1   EQU  1
  PWMO0   EQU  0
TB1CN1   EQU  1D4H
  PA1IV   EQU  7
  PWMA12  EQU  6
  PWMA11  EQU  5
  PWMA10  EQU  4
  PA0IV   EQU  3
  PWMA02  EQU  2
  PWMA01  EQU  1
  PWMA00  EQU  0
TB1RH    EQU  1D5H
TB1RL    EQU  1D6H
TB1C0H   EQU  1D7H
TB1C0L   EQU  1D8H
TB1C1H   EQU  1D9H
TB1C1L   EQU  1DAH
TB1C2H   EQU  1DBH
TB1C2L   EQU  1DCH

;;--------------------------
;; Filter
;;--------------------------
Filter   EQU  1E2H
  FreSpect EQU 7
  Frebit  EQU  6
  ENSpect EQU  5

;===================================================
W       EQU  0
F       EQU  1
ACCE    EQU  0
A       EQU  0
BANK    EQU  1
B       EQU  1
S       EQU  1
  REGBit0    EQU  00000001B
  REGBit1    EQU  00000010B
  REGBit2    EQU  00000100B
  REGBit3    EQU  00001000B
  REGBit4    EQU  00010000B
  REGBit5    EQU  00100000B
  REGBit6    EQU  01000000B
  REGBit7    EQU  10000000B
FSR0  EQU  0
FSR1  EQU  1
FSR2  EQU  2
