;-----------------------------------------------------------------------------
; Define characters
;-----------------------------------------------------------------------------
; 7-segment arraignment :
;
;       a
;     -----
;    |     |
;   f|     |b
;    |  g  |
;     -----           
;    |     |           
;   e|     |c           
;    |  d  |           
;     -----  . h           
           
COM3_2  EQU  080H  ;If LED Equ SEG9
COM2_2  EQU  040H  ;If LED Equ SEG8
COM1_2  EQU  020H  ;If LED Equ SEG7
COM0_2  EQU  010H  ;If LED Equ SEG6
COM3_1  EQU  008H  ;If LED Equ SEG5
COM2_1  EQU  004H  ;If LED Equ SEG4
COM1_1  EQU  002H  ;If LED Equ SEG3
COM0_1  EQU  001H  ;If LED Equ SEG2

SegH  EQU COM3_2
SegC  EQU COM2_2
SegB  EQU COM1_2
SegA  EQU COM0_2
SegD  EQU COM3_1
SegE  EQU COM2_1
SegG  EQU COM1_1
SegF  EQU COM0_1

;==================================
;LCD Definition
;==================================         
LCDNUM0  EQU  SegA+SegB+SegC+SegD+SegE+SegF  ; char "0"
LCDNUM1  EQU  SegB+SegC                ; char "1"
LCDNUM2  EQU  SegA+SegB+SegD+SegE+SegG ; char "2"
LCDNUM3  EQU  SegA+SegB+SegC+SegD+SegG ; char "3"
LCDNUM4  EQU  SegB+SegC+SegF+SegG      ; char "4"
LCDNUM5  EQU  SegA+SegC+SegD+SegF+SegG ; char "5"
LCDNUM6  EQU  SegA+SegC+SegD+SegE+SegF+SegG ; char "6"
LCDNUM7  EQU  SegA+SegB+SegC           ; char "7"
LCDNUM8  EQU  SegA+SegB+SegC+SegD+SegE+SegF+SegG ; char "9"
LCDNUM9  EQU  SegA+SegB+SegC+SegD+SegF+SegG  ; char "8"
LCDNUMA  EQU  SegA+SegB+SegC+SegE+SegF+SegG  ; char "A"
LCDNUMB  EQU  SegC+SegD+SegE+SegF+SegG ; char "b"
LCDNUMC  EQU  SegA+SegD+SegE+SegF      ; char "C"
LCDNUMD  EQU  SegB+SegC+SegD+SegE+SegG ; char "d"
LCDNUME  EQU  SegA+SegD+SegE+SegF+SegG ; char "E"
LCDNUMF  EQU  SegA+SegE+SegF+SegG      ; char "F"
LCDNUMG  EQU  01111011B
LCDNUMH  EQU  SegB+SegC+SegE+SegF+SegG
LCDNUMI  EQU  01000000B
LCDNUMJ  EQU  01101100B
LCDNUMK  EQU  00000111B
LCDNUML  EQU  00001101B
LCDNUMM  EQU  01110101B
LCDNUMN  EQU  01000110B
LCDNUMO  EQU  01001110B
LCDNUMP  EQU  SegA+SegB+SegE+SegF+SegG
LCDNUMQ  EQU  01110011B
LCDNUMR  EQU  00000110B
LCDNUMS  EQU  SegA+SegC+SegD+SegF+SegG
LCDNUMT  EQU  00001111B
LCDNUMU  EQU  01101101B
LCDNUMV  EQU  01001100B
LCDNUMW  EQU  00100011B
LCDNUMX  EQU  01000011B
LCDNUMY  EQU  01101011B
LCDNUMZ  EQU  00111110B
LCDDASH  EQU  00000010B

;-----------------------------------------------------------------------------
; Define Symbols
;-----------------------------------------------------------------------------
S_g      EQU  COM3_2  ;S17(g)

S_m1     EQU  COM3_2  ;S8(m)
S_Zero   EQU  COM2_2  ;S7(Zero)
S_Tare   EQU  COM1_2  ;S6(Tare)
S_Minus  EQU  COM0_2  ;S5(Minus)
S_Bat4   EQU  COM3_1  ;S4(Bat4)
S_Bat3   EQU  COM2_1  ;S3(Bat3)
S_Bat2   EQU  COM1_1  ;S2(Bat2)
S_Bat1   EQU  COM0_1  ;S1(Bat1)

S_V      EQU  COM3_2  ;S16(V)
S_Ohm    EQU  COM2_2  ;S15(Ohm)
S_A      EQU  COM1_2  ;S14(A)
S9       EQU  COM0_2  ;S9
S13      EQU  COM3_1  ;S13
S12      EQU  COM2_1  ;S12
S11      EQU  COM1_1  ;S11
S_M2     EQU  COM0_1  ;S10(M)

S21      EQU  COM3_1  ;S21
S20      EQU  COM2_1  ;S20
S19      EQU  COM1_1  ;S19
S18      EQU  COM0_1  ;S18

Char_H   EQU  SegB+SegC+SegE+SegF+SegG
Char_Y   EQU  SegB+SegC+SegD+SegF+SegG
Char_c   EQU  SegD+SegE+SegG
Char_o   EQU  SegC+SegD+SegE+SegG
Char_n   EQU  SegC+SegE+SegG

Char_P   EQU  LCDNUMP
Char_A   EQU  LCDNUMA
Char_S   EQU  LCDNUMS
