;----------------------------------------------------------------------------
; Global CONSTANTS
;----------------------------------------------------------------------------
Delay1        EQU  080H
Delay2        EQU  081H
BufferIndex   EQU  082H
Tx_Length     EQU  084H
Rx_Length     EQU  085H
Tx_Index      EQU  086H
Rx_Index      EQU  087H
ADCBuffer     EQU  088H ;Total 3Byte
Count         EQU  08BH ;Total 3Byte
SystemStatus  EQU  08EH
  I2C_END      EQU  0
  I2C_Read     EQU  1
  I2C_Fail     EQU  2
  TMA_DONE     EQU  3
  TMB_DONE     EQU  4
  UART_Tx_DONE  EQU  5
  UART_Rx_DONE  EQU  6
ADCStatus     EQU  08FH
  ADC_DONE     EQU  0
  LPF_DONE     EQU  1
  RMS_DONE     EQU  2
  CTF_DONE     EQU  3
MATH_STATUS   EQU  090H
  MINUS_FLAG   EQU  7

EEPAddr       EQU  091H
EEPData       EQU  092H
I2C_Addr      EQU  093H
Display_Data  EQU  094H
WorkBuffer    EQU  095H
DISPLAY_BUFFER EQU 096H ;Total 3Bytes

MD1           EQU  0A0H
MD2           EQU  0A1H
MD3           EQU  0A2H
r_Len         EQU  0A3H
MDL1          EQU  0A4H
MDL2          EQU  0A5H
MDL3          EQU  0A6H
REG1          EQU  0A7H ;Total 4Bytes
REG2          EQU  0ABH ;Total 4Bytes
REG3          EQU  0AFH ;Total 1Bytes

MATH_BUFFER3  EQU  0B0H ;Total 5Bytes
MATH_BUFFER4  EQU  0B5H ;Total 4Bytes

PRECTAH       EQU  0B8H ;CTA PRESET DATA
PRECTAU       EQU  0B9H

UART_Sendbuf  EQU  0C0H ;Total 16Byte
UART_Recbuf   EQU  0D0H ;Total 16Byte
I2C_Sendbuf   EQU  0E0H ;Total 16Byte
I2C_Recbuf    EQU  0F0H ;Total 16Byte

MATH_BUFFER   EQU  100H ;Total 4Bytes
MATH_BUFFER1  EQU  104H ;Total 4Bytes

MATH_BUFL     EQU  160H
MATH_BUFH     EQU  161H
MATH_BUFU     EQU  162H

FREQCTAL      EQU  166H
FREQCTAH      EQU  167H
FREQCTAU      EQU  168H
FREQCTBL      EQU  169H
FREQCTBH      EQU  16AH
FREQCTBU      EQU  16BH
FREQCTCL      EQU  16CH
FREQCTCH      EQU  16DH
FREQCTCU      EQU  16EH

PKHMAXBUFL    EQU  16FH
PKHMAXBUFH    EQU  170H
PKHMAXBUFU    EQU  171H

PKHMINBUFL    EQU  172H
PKHMINBUFH    EQU  173H
PKHMINBUFU    EQU  174H

RMSDABUF0     EQU  175H
RMSDABUF1     EQU  176H
RMSDABUF2     EQU  177H
RMSDABUF3     EQU  178H
RMSDABUF4     EQU  179H

LPFDABUFL     EQU  17AH
LPFDABUFH     EQU  17BH
LPFDABUFU     EQU  17CH

AD1DABUFL     EQU  17DH
AD1DABUFH     EQU  17EH
AD1DABUFU     EQU  17FH

;For Counter
;MD1           EQU  0A0H      ;a0
;MD2           EQU  MD1+1     ;a1
;MD3           EQU  MD2+1     ;a2
dsp           EQU  MD1       ;a0
dsp1          EQU  dsp+6     ;a6
;MDL1          EQU  MD3+1     ;a3
;MDL2          EQU  MDL1+1    ;a4
;MDL3          EQU  MDL2+1    ;a5
MD4           EQU  MDL3+1    ;a6
S_REG         EQU  MD4+6     ;aC
;r_Len         EQU  S_REG+1   ;aD
Temp          EQU  0C0H ;Total 6Bytes
MATH_BUF2     EQU  0C8H ;Total 6Bytes
MULDATA1      EQU  0D0H ;Multiplicator, Total 32Bytes
MULDATA2      EQU  0F0H ;Multiplicand, Total 14Bytes

